<?php
/**
 * OfferCertsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OffersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Offers.
 *
 * Offers
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\OffersClient;

use \Ensi\OffersClient\Configuration;
use \Ensi\OffersClient\ApiException;
use \Ensi\OffersClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * OfferCertsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\OffersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class OfferCertsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createOfferCert
     *
     * Добавляет новый сертификат оффера.
     *
     */
    public function testCreateOfferCert()
    {
    }

    /**
     * Test case for deleteOfferCert
     *
     * Удаление сертификата оффера.
     *
     */
    public function testDeleteOfferCert()
    {
    }

    /**
     * Test case for getOfferCert
     *
     * Получение сертификата оффера по идентификатору.
     *
     */
    public function testGetOfferCert()
    {
    }

    /**
     * Test case for patchOfferCert
     *
     * Обновление отдельных атрибутов сертификата оффера.
     *
     */
    public function testPatchOfferCert()
    {
    }

    /**
     * Test case for searchOfferCerts
     *
     * Поиск сертификаов офферов товаров, удовлетворяющих фильтру.
     *
     */
    public function testSearchOfferCerts()
    {
    }

    /**
     * Test case for uploadOfferCert
     *
     * Загружает файл сертификата оффера.
     *
     */
    public function testUploadOfferCert()
    {
    }
}
